#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-JoHui7sgxXt8dXV2Qi3USA
key:                  hoogle-5.0.18.4-JoHui7sgxXt8dXV2Qi3USA
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  7736180962e8b8c57c7071222f51f07a
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-JoHui7sgxXt8dXV2Qi3USA
include-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-4ByVFEBmTRSJjm02AG2pXb
    aeson-2.1.2.1-HbpdIbO6AMR9AnrzgnqgHA base-4.16.4.0 binary-0.8.9.0
    blaze-html-0.9.2.0-HYtvWoJVRy9EXNTTB6ufVU
    blaze-markup-0.8.3.0-1JYg1oSitB7In5jCs8fiQu bytestring-0.11.4.0
    cmdargs-0.10.22-JQ4ivQZzeRmKKTWVSPDfjg
    conduit-1.3.6.1-z9AmGJDA6I5e741lyc8Fs
    conduit-extra-1.3.6-G3oiW8AJMcc50uCAlbWr4t containers-0.6.5.1
    crypton-connection-0.3.2-DxHeLSsI363G69t6facGAF deepseq-1.4.6.1
    directory-1.3.6.2 extra-1.7.16-LvCisaJe0r84H5u45TnjVU
    filepath-1.4.2.2 foundation-0.0.30-HGERhRs5JCDILoHDx95jS
    hashable-1.4.4.0-BiMdM8DAZvpBwJziK8reqF
    haskell-src-exts-1.23.1-BebvjyfANhK2ixIttGu0Lj
    http-conduit-2.3.9.1-5ItzJobngEhJvsM2Ep3scX
    http-types-0.12.4-IK3jZB6tw6k2KWf3RXsYsl
    js-flot-0.8.3-CzHXKBaovyL8SpvVY5AoqF
    js-jquery-3.3.1-5guCYuOQ9jQ6najsrRQT3p
    mmap-0.5.9-Ev5kK7GQQYl5y5LE8RvEAs
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    process-extras-0.7.4-5ekvzwjRm9mEVfMRayXaYj
    resourcet-1.2.6-8ZQW1jAmhus439CZ3AdML9
    safe-0.3.21-6LiAUPzeZ5yE2ECncdJJ3m
    storable-tuple-0.1-7FcBUwCOcvFA6InANOOzYg
    tar-0.5.1.1-Cta2r8aQXfVL7GuKtUvrm0 template-haskell-2.18.0.0
    text-1.2.5.0 time-1.11.1.1 transformers-0.5.6.2
    uniplate-1.6.13-BEp7tzTtDxb5PIqeIzofG5
    utf8-string-1.0.2-9i4m1tpDbmh81tMCrQ25jI
    vector-0.13.1.0-L0sJ9rsFoTeKCVYCfA24Gj
    wai-3.2.4-7wDTXFXmYYd6TVujdrRhKq
    wai-logger-2.5.0-9vR97ZcxaPV1yU5B42GMTb
    warp-3.3.30-9uYHygpbdIJ3lMcS5SD4vt
    warp-tls-3.4.9-375SLbK89LiIRKHGvddXAc
    zlib-0.6.3.0-9U5F4VPIxHO8qOYgKFnRsq

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

